Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/829.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/829.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/829.dot
@@ -1,26 +1,45 @@
 digraph "g" {
+"DcIPaddr_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "DoFencing_stop_0" -> "DoFencing_stopped_0" [ style = bold]
 "DoFencing_stop_0" -> "child_DoFencing:0_stop_0 c001n02" [ style = bold]
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_DoFencing:0_monitor_0 c001n01" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:0_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_stop_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_stop_0 c001n02" [ style=bold color="green" fontcolor="orange" ]
+"child_DoFencing:1_monitor_0 c001n01" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:1_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n08" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n01" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" -> "rsc_c001n02_start_0 c001n01" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_start_0 c001n01" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" -> "rsc_c001n02_start_0 c001n01" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_5000 c001n01" [ style=bold color="green" fontcolor="black" ]
@@ -29,9 +48,13 @@ digraph "g" {
 "rsc_c001n02_stop_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n02_stop_0 c001n02" -> "rsc_c001n02_start_0 c001n01" [ style = bold]
 "rsc_c001n02_stop_0 c001n02" [ style=bold color="green" fontcolor="orange" ]
+"rsc_c001n03_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' c001n02" -> "DoFencing_stop_0" [ style = bold]
 "stonith 'reboot' c001n02" -> "child_DoFencing:0_stop_0 c001n02" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/anon-instance-pending.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/anon-instance-pending.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/anon-instance-pending.dot
@@ -111,6 +111,7 @@ digraph "g" {
 "clone3rsc:8_start_0 node11" -> "clone3_running_0" [ style = bold]
 "clone3rsc:8_start_0 node11" -> "clone3rsc:8_monitor_10000 node11" [ style = bold]
 "clone3rsc:8_start_0 node11" [ style=bold color="green" fontcolor="black"]
+"clone3rsc:9_monitor_0 node2" -> "all_stopped" [ style = bold]
 "clone3rsc:9_monitor_0 node2" -> "clone3_start_0" [ style = bold]
 "clone3rsc:9_monitor_0 node2" [ style=bold color="green" fontcolor="black"]
 "clone3rsc:9_monitor_10000 node2" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/anon-instance-pending.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/anon-instance-pending.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/anon-instance-pending.exp
@@ -1822,6 +1822,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="clone3rsc:9_monitor_0" on_node="node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="107" operation="stop" operation_key="clone4rsc_stop_0" internal_operation_key="clone4rsc:5_stop_0" on_node="node9" on_node_uuid="9"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-1820-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-1820-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-1820-1.dot
@@ -12,8 +12,10 @@ digraph "g" {
 "gr1_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "gr1_stopped_0" -> "gr1_start_0" [ style = bold]
 "gr1_stopped_0" [ style=bold color="green" fontcolor="orange" ]
+"p1_monitor_0 star" -> "all_stopped" [ style = bold]
 "p1_monitor_0 star" -> "p1_start_0 world" [ style = bold]
 "p1_monitor_0 star" [ style=bold color="green" fontcolor="black" ]
+"p1_monitor_0 world" -> "all_stopped" [ style = bold]
 "p1_monitor_0 world" -> "p1_start_0 world" [ style = bold]
 "p1_monitor_0 world" [ style=bold color="green" fontcolor="black" ]
 "p1_start_0 world" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-1820-1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-1820-1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-1820-1.exp
@@ -263,6 +263,12 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="p1_monitor_0" on_node="star" on_node_uuid="3f368213-61d5-409a-a30e-1428efe70f63"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="p1_monitor_0" on_node="world" on_node_uuid="e4603bf6-d10f-4af2-b53b-ba72de6164d0"/>
+      </trigger>
+      <trigger>
         <rsc_op id="7" operation="stop" operation_key="test1_stop_0" on_node="star" on_node_uuid="3f368213-61d5-409a-a30e-1428efe70f63"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-n-387749.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-n-387749.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-n-387749.exp
@@ -178,6 +178,12 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="resource_ipaddr1_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="resource_nfsserver_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="24" operation="stop" operation_key="resource_ipaddr1_single_stop_0" on_node="power720-2" on_node_uuid="1a1ecd04-01a0-43bf-9392-11b89f7d6f10"/>
        </trigger>
        <trigger>
@@ -270,6 +276,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="resource_nfsserver_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="27" operation="stop" operation_key="resource_nfsserver_single_stop_0" on_node="power720-2" on_node_uuid="1a1ecd04-01a0-43bf-9392-11b89f7d6f10"/>
        </trigger>
        <trigger>
@@ -351,6 +360,21 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="export_home_ocfs2:0_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="export_home_ocfs2:1_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="export_home_ocfs2:2_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="resource_ipaddr1_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="resource_nfsserver_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="24" operation="stop" operation_key="resource_ipaddr1_single_stop_0" on_node="power720-2" on_node_uuid="1a1ecd04-01a0-43bf-9392-11b89f7d6f10"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-nested-colocation.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-nested-colocation.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-nested-colocation.dot
@@ -1,15 +1,21 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"rabbitmq-bundle-0_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-0" -> "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-1" -> "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-2" -> "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 overcloud-galera-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-0" -> "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 overcloud-galera-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-1" -> "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 overcloud-galera-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-2" -> "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-2" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-0_monitor_30000 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
@@ -18,16 +24,22 @@ digraph "g" {
 "rabbitmq-bundle-0_start_0 overcloud-controller-0" -> "rabbitmq:0_monitor_10000 rabbitmq-bundle-0" [ style = bold]
 "rabbitmq-bundle-0_start_0 overcloud-controller-0" -> "rabbitmq:0_start_0 rabbitmq-bundle-0" [ style = bold]
 "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-0" -> "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-1" -> "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-2" -> "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-galera-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-0" -> "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-galera-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-1" -> "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_0 overcloud-galera-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-2" -> "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-2" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-1_monitor_30000 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
@@ -36,16 +48,22 @@ digraph "g" {
 "rabbitmq-bundle-1_start_0 overcloud-controller-1" -> "rabbitmq:1_monitor_10000 rabbitmq-bundle-1" [ style = bold]
 "rabbitmq-bundle-1_start_0 overcloud-controller-1" -> "rabbitmq:1_start_0 rabbitmq-bundle-1" [ style = bold]
 "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-controller-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-0" -> "rabbitmq-bundle-2_start_0 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-controller-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-1" -> "rabbitmq-bundle-2_start_0 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-controller-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-2" -> "rabbitmq-bundle-2_start_0 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-galera-0" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-0" -> "rabbitmq-bundle-2_start_0 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-galera-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-1" -> "rabbitmq-bundle-2_start_0 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 overcloud-galera-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-2" -> "rabbitmq-bundle-2_start_0 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-2" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-2_monitor_30000 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
@@ -135,6 +153,7 @@ digraph "g" {
 "rabbitmq-bundle_stop_0" -> "rabbitmq-bundle-docker-2_stop_0 overcloud-rabbit-2" [ style = bold]
 "rabbitmq-bundle_stop_0" [ style=bold color="green" fontcolor="orange"]
 "rabbitmq-bundle_stopped_0" [ style=bold color="green" fontcolor="orange"]
+"rabbitmq:0_monitor_0 rabbitmq-bundle-0" -> "all_stopped" [ style = bold]
 "rabbitmq:0_monitor_0 rabbitmq-bundle-0" -> "rabbitmq-bundle-clone_start_0" [ style = bold]
 "rabbitmq:0_monitor_0 rabbitmq-bundle-0" [ style=bold color="green" fontcolor="black"]
 "rabbitmq:0_monitor_10000 rabbitmq-bundle-0" [ style=bold color="green" fontcolor="black"]
@@ -144,6 +163,7 @@ digraph "g" {
 "rabbitmq:0_start_0 rabbitmq-bundle-0" -> "rabbitmq:0_monitor_10000 rabbitmq-bundle-0" [ style = bold]
 "rabbitmq:0_start_0 rabbitmq-bundle-0" -> "rabbitmq:1_start_0 rabbitmq-bundle-1" [ style = bold]
 "rabbitmq:0_start_0 rabbitmq-bundle-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq:1_monitor_0 rabbitmq-bundle-1" -> "all_stopped" [ style = bold]
 "rabbitmq:1_monitor_0 rabbitmq-bundle-1" -> "rabbitmq-bundle-clone_start_0" [ style = bold]
 "rabbitmq:1_monitor_0 rabbitmq-bundle-1" [ style=bold color="green" fontcolor="black"]
 "rabbitmq:1_monitor_10000 rabbitmq-bundle-1" [ style=bold color="green" fontcolor="black"]
@@ -153,6 +173,7 @@ digraph "g" {
 "rabbitmq:1_start_0 rabbitmq-bundle-1" -> "rabbitmq:1_monitor_10000 rabbitmq-bundle-1" [ style = bold]
 "rabbitmq:1_start_0 rabbitmq-bundle-1" -> "rabbitmq:2_start_0 rabbitmq-bundle-2" [ style = bold]
 "rabbitmq:1_start_0 rabbitmq-bundle-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq:2_monitor_0 rabbitmq-bundle-2" -> "all_stopped" [ style = bold]
 "rabbitmq:2_monitor_0 rabbitmq-bundle-2" -> "rabbitmq-bundle-clone_start_0" [ style = bold]
 "rabbitmq:2_monitor_0 rabbitmq-bundle-2" [ style=bold color="green" fontcolor="black"]
 "rabbitmq:2_monitor_10000 rabbitmq-bundle-2" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-nested-colocation.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-nested-colocation.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-nested-colocation.exp
@@ -853,6 +853,69 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-galera-0" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-galera-0" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-galera-0" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-galera-1" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-galera-1" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-galera-1" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-galera-2" on_node_uuid="6"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-galera-2" on_node_uuid="6"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-galera-2" on_node_uuid="6"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="rabbitmq:0_monitor_0" on_node="rabbitmq-bundle-0" on_node_uuid="rabbitmq-bundle-0" router_node="overcloud-controller-0"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="rabbitmq:1_monitor_0" on_node="rabbitmq-bundle-1" on_node_uuid="rabbitmq-bundle-1" router_node="overcloud-controller-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="34" operation="monitor" operation_key="rabbitmq:2_monitor_0" on_node="rabbitmq-bundle-2" on_node_uuid="rabbitmq-bundle-2" router_node="overcloud-controller-2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="41" operation="stop" operation_key="rabbitmq-bundle-docker-0_stop_0" on_node="overcloud-rabbit-0" on_node_uuid="overcloud-rabbit-0" router_node="overcloud-controller-0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-fencing.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-fencing.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-fencing.dot
@@ -4,8 +4,10 @@ digraph "g" {
 "Cancel redis_monitor_60000 redis-bundle-1" -> "redis_promote_0 redis-bundle-1" [ style = bold]
 "Cancel redis_monitor_60000 redis-bundle-1" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"galera-bundle-0_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "galera-bundle-0_monitor_0 controller-1" -> "galera-bundle-0_start_0 controller-2" [ style = dashed]
 "galera-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-0_monitor_0 controller-2" -> "all_stopped" [ style = bold]
 "galera-bundle-0_monitor_0 controller-2" -> "galera-bundle-0_start_0 controller-2" [ style = dashed]
 "galera-bundle-0_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-0_monitor_30000 controller-2" [ style=dashed color="red" fontcolor="black"]
@@ -18,7 +20,9 @@ digraph "g" {
 "galera-bundle-0_stop_0 controller-0" -> "galera-bundle-0_start_0 controller-2" [ style = dashed]
 "galera-bundle-0_stop_0 controller-0" -> "galera-bundle-docker-0_stop_0 controller-0" [ style = bold]
 "galera-bundle-0_stop_0 controller-0" [ style=bold color="green" fontcolor="orange"]
+"galera-bundle-1_monitor_0 controller-2" -> "all_stopped" [ style = bold]
 "galera-bundle-1_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-2_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "galera-bundle-2_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-docker-0_stop_0 controller-0" -> "all_stopped" [ style = bold]
 "galera-bundle-docker-0_stop_0 controller-0" -> "galera-bundle_stopped_0" [ style = bold]
@@ -98,8 +102,10 @@ digraph "g" {
 "ip-192.168.24.7_stop_0 controller-0" -> "all_stopped" [ style = bold]
 "ip-192.168.24.7_stop_0 controller-0" -> "ip-192.168.24.7_start_0 controller-2" [ style = bold]
 "ip-192.168.24.7_stop_0 controller-0" [ style=bold color="green" fontcolor="orange"]
+"rabbitmq-bundle-0_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 controller-1" -> "rabbitmq-bundle-0_start_0 controller-1" [ style = dashed]
 "rabbitmq-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_0 controller-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 controller-2" -> "rabbitmq-bundle-0_start_0 controller-1" [ style = dashed]
 "rabbitmq-bundle-0_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-0_monitor_30000 controller-1" [ style=dashed color="red" fontcolor="black"]
@@ -111,7 +117,9 @@ digraph "g" {
 "rabbitmq-bundle-0_stop_0 controller-0" -> "rabbitmq-bundle-0_start_0 controller-1" [ style = dashed]
 "rabbitmq-bundle-0_stop_0 controller-0" -> "rabbitmq-bundle-docker-0_stop_0 controller-0" [ style = bold]
 "rabbitmq-bundle-0_stop_0 controller-0" [ style=bold color="green" fontcolor="orange"]
+"rabbitmq-bundle-1_monitor_0 controller-2" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-clone_confirmed-post_notify_running_0" -> "rabbitmq-bundle_running_0" [ style = bold]
 "rabbitmq-bundle-clone_confirmed-post_notify_running_0" [ style=bold color="green" fontcolor="orange"]
@@ -183,8 +191,10 @@ digraph "g" {
 "rabbitmq_stop_0 rabbitmq-bundle-0" -> "rabbitmq-bundle-clone_stopped_0" [ style = bold]
 "rabbitmq_stop_0 rabbitmq-bundle-0" -> "rabbitmq_start_0 rabbitmq-bundle-0" [ style = dashed]
 "rabbitmq_stop_0 rabbitmq-bundle-0" [ style=bold color="green" fontcolor="orange"]
+"redis-bundle-0_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "redis-bundle-0_monitor_0 controller-1" -> "redis-bundle-0_start_0 controller-1" [ style = dashed]
 "redis-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_monitor_0 controller-2" -> "all_stopped" [ style = bold]
 "redis-bundle-0_monitor_0 controller-2" -> "redis-bundle-0_start_0 controller-1" [ style = dashed]
 "redis-bundle-0_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-0_monitor_30000 controller-1" [ style=dashed color="red" fontcolor="black"]
@@ -197,7 +207,9 @@ digraph "g" {
 "redis-bundle-0_stop_0 controller-0" -> "redis-bundle-0_start_0 controller-1" [ style = dashed]
 "redis-bundle-0_stop_0 controller-0" -> "redis-bundle-docker-0_stop_0 controller-0" [ style = bold]
 "redis-bundle-0_stop_0 controller-0" [ style=bold color="green" fontcolor="orange"]
+"redis-bundle-1_monitor_0 controller-2" -> "all_stopped" [ style = bold]
 "redis-bundle-1_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-2_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "redis-bundle-2_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-docker-0_stop_0 controller-0" -> "all_stopped" [ style = bold]
 "redis-bundle-docker-0_stop_0 controller-0" -> "redis-bundle_stopped_0" [ style = bold]
